## ev-sidebar-page ev-sidebar-page |

## Synopsis

    #define             EV_SIDEBAR_PAGE_IFACE               (k)
    #define             EV_IS_SIDEBAR_PAGE_IFACE            (k)
                        EvSidebarPage;
                        EvSidebarPageIface;
    gboolean            ev_sidebar_page_support_document    (EvSidebarPage *sidebar_page,
                                                             EvDocument *document);
    void                ev_sidebar_page_set_document        (EvSidebarPage *sidebar_page,
                                                             EvDocument *document);
    const gchar*        ev_sidebar_page_get_label           (EvSidebarPage *page);

## Description

## Details

### EV_SIDEBAR_PAGE_IFACE()

    #define EV_SIDEBAR_PAGE_IFACE(k)	(G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_SIDEBAR_PAGE, EvSidebarPageIface))

`k` : |

### EV_IS_SIDEBAR_PAGE_IFACE()

    #define EV_IS_SIDEBAR_PAGE_IFACE(k)	(G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_SIDEBAR_PAGE))

`k` : |

### EvSidebarPage

    typedef struct _EvSidebarPage EvSidebarPage;

### EvSidebarPageIface

    typedef struct {
    	GTypeInterface base_iface;

    	/* Methods  */
    	gboolean    (* support_document)  (EvSidebarPage   *sidebar_page,
    				           EvDocument *document);
    	void 	    (* set_document)	  (EvSidebarPage   *sidebar_page,
    					   EvDocument *document);
    	const gchar*(* get_label)         (EvSidebarPage  *sidebar_page);
    } EvSidebarPageIface;

### ev_sidebar_page_support_document ()

    gboolean            ev_sidebar_page_support_document    (EvSidebarPage *sidebar_page,
                                                             EvDocument *document);

`sidebar_page` : |
`document` : |
Returns : |

### ev_sidebar_page_set_document ()

    void                ev_sidebar_page_set_document        (EvSidebarPage *sidebar_page,
                                                             EvDocument *document);

`sidebar_page` : |
`document` : |

### ev_sidebar_page_get_label ()

    const gchar*        ev_sidebar_page_get_label           (EvSidebarPage *page);

`page` : |
Returns : |